POST
Generate a deposit address
Generates a new deposit address for the given Link account and asset. If the venue does not support address generation, returns the existing active deposit address.
Path Params
-
enterpriseIdstring requiredYour enterprise id. -
accountIdstring requiredThe account ID to generate a deposit address for.
Header Params
-
user-idstring requiredUser id of the user making the request.
Body Params
object
Generate deposit address request body
-
genericAssetstring requiredNetwork-agnostic generic asset (e.g. "usdc", "btc"). Combined withnetworkto identify a specific asset on a specific chain. -
networkstring requiredBlockchain network the deposit address should belong to (e.g. "eth", "sol", "bitcoin"). Must be a network supported by the account's venue for the givengenericAsset.
Responses
201
Created
Response Body
object
-
idstring required -
typestring required -
statusstring required -
addressstring required -
assetstring required -
networkstring required -
genericAssetstring required -
tagstring -
createdDatestring date-time required -
modifiedDatestring date-time required
400
Bad Request
No response body
401
Unauthorized
Response Body
object
-
errorNamestring required -
errorstring required
403
Forbidden
Response Body
object
-
errorNamestring required -
errorstring required
404
Not Found
Response Body
object
-
errorNamestring required -
errorstring required
500
Internal Server Error
Response Body
object
-
errorNamestring required -
errorstring required